Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Public Enum eHoldRowType
    Normal = 0
    Hold = 1
End Enum
<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class InvoiceHold
    Inherits BaseObject

    Private _InvoiceHeader As InvoiceHeader 'Számla fejléc
    Private _RowIndex As Long = 0 'Sor index
    Private _RowType As eHoldRowType
    Private _DatePayment As Date 'Fizetési határidő
    Private _ShortName As String 'Visszatartás oka (szöveg)
    Private _AmountHUF As Double 'Visszatartás összege HUF
    Private _AmountDEV As Double 'Visszatartás összege DEV
    Private _BallanceDEV As Double 'Egyenleg (DEV)
    Private _BallanceHUF As Double 'Egyenleg (HUF)
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property InvoiceHeader As InvoiceHeader
        Get
            Return _InvoiceHeader
        End Get
        Set(value As InvoiceHeader)
            SetPropertyValue("InvoiceHeader", _InvoiceHeader, value)
        End Set
    End Property
    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    Property RowType As eHoldRowType
        Get
            Return _RowType
        End Get
        Set(value As eHoldRowType)
            SetPropertyValue("RowType", _RowType, value)
        End Set
    End Property
    Property DatePayment As Date
        Get
            Return _DatePayment.Date
        End Get
        Set(value As Date)
            SetPropertyValue("DatePayment", _DatePayment, value.Date)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property AmountHUF As Double
        Get
            Return _AmountHUF
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF", _AmountHUF, value)
        End Set
    End Property
    Property AmountDEV As Double
        Get
            Return _AmountDEV
        End Get
        Set(value As Double)
            SetPropertyValue("AmountDEV", _AmountDEV, value)
        End Set
    End Property
    Property BallanceHUF As Double
        Get
            Return _BallanceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUF", _BallanceHUF, value)
        End Set
    End Property
    Property BallanceDEV As Double
        Get
            Return _BallanceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceDEV", _BallanceDEV, value)
        End Set
    End Property
End Class
